Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Path Parameters

id
string
required

Body

application/json
displayName
string
required
Minimum string length: 1
config
object
auth
object
enabledForChat
boolean
modelScope
enum<string>
Available options:
all,
selected
modelIds
string[]
projectScope
enum<string>
Available options:
all,
selected,
except
projectIds
string[]

Response

200 - application/json

Default Response

id
string
required
name
string
required
provider
enum<string>
required
Available options:
openai,
openrouter,
anthropic,
azure,
google,
activepieces,
cloudflare-gateway,
custom,
bedrock,
vertex,
mistral,
xai,
deepseek,
zai,
qwen,
minimax,
moonshot,
meta,
nvidia
config
object
required
enabledForChat
boolean
required
modelScope
enum<string>
required
Available options:
all,
selected
modelIds
string[]
required
projectScope
enum<string>
required
Available options:
all,
selected,
except
projectIds
string[]
required
status
enum<string>
required
Available options:
active,
out_of_credits,
rejected,
unreachable
statusReason
string | null
required
statusUpdated
string | null
required